1. Data
Adafruit IO REST API
  • Users
    • Get information about the current user
    • Get information about the current user
    • Get the user's data rate limit and current activity level.
    • Get the user's data rate limit and current activity level.
  • Webhooks
    • Send data to a feed via webhook URL.
    • Send data to a feed via webhook URL.
    • Send arbitrary data to a feed via webhook URL.
    • Send arbitrary data to a feed via webhook URL.
  • Activities
    • All activities for current user
    • All activities for current user
    • All activities for current user
    • All activities for current user
    • Get activities by type for current user
    • Get activities by type for current user
  • Dashboards
    • All dashboards for current user
    • All dashboards for current user
    • Create a new Dashboard
    • Create a new Dashboard
    • Delete an existing Dashboard
    • Delete an existing Dashboard
    • Returns Dashboard based on ID
    • Returns Dashboard based on ID
    • Update properties of an existing Dashboard
    • Update properties of an existing Dashboard
    • Replace an existing Dashboard
    • Replace an existing Dashboard
  • Blocks
    • All blocks for current user
    • All blocks for current user
    • Create a new Block
    • Create a new Block
    • Delete an existing Block
    • Delete an existing Block
    • Returns Block based on ID
    • Returns Block based on ID
    • Update properties of an existing Block
    • Update properties of an existing Block
    • Replace an existing Block
    • Replace an existing Block
  • Feeds
    • All feeds for current user
    • All feeds for current user
    • Create a new Feed
    • Create a new Feed
    • Delete an existing Feed
    • Delete an existing Feed
    • Get feed by feed key
    • Get feed by feed key
    • Update properties of an existing Feed
    • Update properties of an existing Feed
    • Replace an existing Feed
    • Replace an existing Feed
    • Get detailed feed by feed key
    • Get detailed feed by feed key
    • Create a new Feed in a Group
    • Create a new Feed in a Group
  • Data
    • Get all data for the given feed
      GET
    • Get all data for the given feed
      GET
    • Create new Data
      POST
    • Create new Data
      POST
    • Create multiple new Data records
      POST
    • Create multiple new Data records
      POST
    • Chart data for current feed
      GET
    • Chart data for current feed
      GET
    • First Data in Queue
      GET
    • First Data in Queue
      GET
    • Last Data in Queue
      GET
    • Last Data in Queue
      GET
    • Next Data in Queue
      GET
    • Next Data in Queue
      GET
    • Previous Data in Queue
      GET
    • Previous Data in Queue
      GET
    • Last Data in MQTT CSV format
      GET
    • Last Data in MQTT CSV format
      GET
    • Delete existing Data
      DELETE
    • Delete existing Data
      DELETE
    • Returns data based on feed key
      GET
    • Returns data based on feed key
      GET
    • Update properties of existing Data
      PATCH
    • Update properties of existing Data
      PATCH
    • Replace existing Data
      PUT
    • Replace existing Data
      PUT
    • Create new data for multiple feeds in a group
      POST
    • Create new data for multiple feeds in a group
      POST
    • All data for current feed in a specific group
      GET
    • All data for current feed in a specific group
      GET
    • Create new Data in a feed belonging to a particular group
      POST
    • Create new Data in a feed belonging to a particular group
      POST
    • Create multiple new Data records in a feed belonging to a particular group
      POST
    • Create multiple new Data records in a feed belonging to a particular group
      POST
  • Groups
    • All groups for current user
    • All groups for current user
    • Create a new Group
    • Create a new Group
    • Delete an existing Group
    • Delete an existing Group
    • Returns Group based on ID
    • Returns Group based on ID
    • Update properties of an existing Group
    • Update properties of an existing Group
    • Replace an existing Group
    • Replace an existing Group
    • Add an existing Feed to a Group
    • Add an existing Feed to a Group
    • All feeds for current user in a given group
    • All feeds for current user in a given group
    • Remove a Feed from a Group
    • Remove a Feed from a Group
  • Tokens
    • All tokens for current user
    • All tokens for current user
    • Create a new Token
    • Create a new Token
    • Delete an existing Token
    • Delete an existing Token
    • Returns Token based on ID
    • Returns Token based on ID
    • Update properties of an existing Token
    • Update properties of an existing Token
    • Replace an existing Token
    • Replace an existing Token
  • Triggers
    • All triggers for current user
    • All triggers for current user
    • Create a new Trigger
    • Create a new Trigger
    • Delete an existing Trigger
    • Delete an existing Trigger
    • Returns Trigger based on ID
    • Returns Trigger based on ID
    • Update properties of an existing Trigger
    • Update properties of an existing Trigger
    • Replace an existing Trigger
    • Replace an existing Trigger
  • Permissions
    • All permissions for current user and type
    • All permissions for current user and type
    • Create a new Permission
    • Create a new Permission
    • Delete an existing Permission
    • Delete an existing Permission
    • Returns Permission based on ID
    • Returns Permission based on ID
    • Update properties of an existing Permission
    • Update properties of an existing Permission
    • Replace an existing Permission
    • Replace an existing Permission
  • Schemas
    • Schemas
      • Activity
      • Block
      • BlockFeed
      • Dashboard
      • Data
      • DataResponse
      • Error
      • Feed
      • Group
      • Permission
      • ShallowGroup
      • Token
      • Trigger
      • User
    • RequestBodies
      • createTriggerTrigger
      • batchCreateDataData
      • createPermissionPermission
      • createFeedFeed
      • createDashboardDashboard
      • createBlockBlock
      • createDataDatum
      • createGroupGroup
      • createTokenToken
  1. Data

Next Data in Queue

GET
/api/v2/{username}/feeds/{feed_key}/data/next
Get the next newest data point in the feed. If queue processing hasn't been started, the first data point in the feed will be returned.

Request

Path Params

Query Params

Responses

🟢200Data response
application/json
Body

🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v2//feeds//data/next'
Response Response Example
200 - Example 1
{
    "completed_at": "string",
    "created_at": "string",
    "created_epoch": 0,
    "ele": 0,
    "expiration": "string",
    "feed_id": 0,
    "group_id": 0,
    "id": "string",
    "lat": 0,
    "lon": 0,
    "updated_at": "string",
    "value": "string"
}
Modified at 2022-09-02 07:15:18
Previous
Last Data in Queue
Next
Next Data in Queue
Built with